﻿##############################
###     TGA converter      ###
###                        ###
###  By Morten Blindheim   ###
### www.oneclickhangar.com ###
##############################

$MainAircraftFolder = "D:\MSFS\FSX\SimObjects\AIAircraft"
$ImageToolFolder = "D:\OneDrive\Own AI Packages\Repaints\Source"
$OutputFormat = "DXT5"
$OutputFileFormat = "dds"
$DeleteTGA = "No"

ForEach ($File in Get-ChildItem $MainAircraftFolder -File -Recurse -Filter "*.tga") {
    
    $OutputFileName = $File.FullName.Replace(".tga", ".$OutputFileFormat")
    $FileFullName = $File.FullName
    Start-Process -FilePath """$ImageToolFolder\imagetool.exe""" -ArgumentList "-o ""$OutputFileName"" -nogui -$OutputFileFormat -$OutputFormat ""$FileFullName"""
    if ($DeleteTGA -eq "Yes") {
        Remove-Item $FileFullName
    }

}

